Summary: The GNU version of the awk text processing utility.
Name: gawk
Version: 3.0.3
Release: 7
Copyright: GPL
Group: Applications/Text
Source0: ftp://prep.ai.mit.edu/pub/gnu/gawk-3.0.3.tar.gz
Source1: ftp://prep.ai.mit.edu/pub/gnu/gawk-3.0.3-ps.tar.gz
Patch: gawk-3.0-unaligned.patch
Buildroot: /var/tmp/%{name}-root
Prereq: /sbin/install-info

%description
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.

%prep
%setup -q -b 1
%patch -p1

%build
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
%configure

make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr bindir=$RPM_BUILD_ROOT/bin
strip $RPM_BUILD_ROOT/bin/gawk
strip $RPM_BUILD_ROOT/usr/libexec/awk/*

rm -f $RPM_BUILD_ROOT/usr/info/dir
gzip -9f $RPM_BUILD_ROOT/usr/info/gawk.info*
mkdir -p $RPM_BUILD_ROOT/usr/bin
ln -sf gawk.1 $RPM_BUILD_ROOT/usr/man/man1/awk.1
ln -sf ../../bin/gawk $RPM_BUILD_ROOT/usr/bin/awk 
ln -sf ../../bin/gawk $RPM_BUILD_ROOT/usr/bin/gawk 

%post
/sbin/install-info /usr/info/gawk.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/gawk.info.gz /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README COPYING ACKNOWLEDGMENT FUTURES INSTALL LIMITATIONS NEWS PORTS 
%doc README_d POSIX.STD doc/gawk.ps doc/awkcard.ps
/bin/*
/usr/bin/*
/usr/man/*/*
/usr/info/*info*
/usr/libexec/awk
/usr/share/awk

%changelog
* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- make sure all binaries are stripped

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Fri Feb 19 1999 Jeff Johnson <jbj@redhat.com>
- Install info pages (#1242).

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- don't package /usr/info/dir

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.0.3
- added documentation and buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

